<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Umkm extends Model 
{
    // Daftarkan kolom yang boleh diisi langsung oleh form input
    protected $fillable = [
        'user_id',
        'nama_usaha',
        'nama_pemilik',
        'jenis_usaha',
        'alamat',
        'no_telepon',
        'modal_awal'
    ];

    /**
     * Casting atribut ke tipe data yang sesuai.
     * Memastikan 'modal_awal' selalu dianggap sebagai integer.
     */
    protected function casts(): array
    {
        return [
            'modal_awal' => 'integer',
        ];
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}